#!/bin/bash


if [ -f "./__backup/JaiInit.aaf" ]; then
	echo WARNING: You already have a backup. If you make a backup now, and have made any changes, this will corrupt the backup of your original game files.
	echo Choose wisely.
	
	read -p "Do you want to proceed? (yes/no) " yn
	
	case $yn in 
		yes ) echo Prepare for unforseen consequences.;;
		no ) echo exiting...;
			exit;;
		* ) echo invalid response;
			exit 1;;
	esac
fi


:PACK
mkdir "./__backup"
mkdir "./__backup/Banks"
mkdir "./__backup/Seqs"

cp "./JaiInit.aaf" "./__backup/" -rf
cp "./Banks" "./__backup/Banks" -rf
cp "./Seqs" "./__backup/Seqs" -rf

echo Unpacking AAF....
echo "Banks"
"./tool/jampacked" unpack JaiInit.aaf Audio_Modding
"./tool/wsystool" unpack "./Audio_Modding/include/0.wsy" "./Audio_Modding/WS0" -awpath "./Banks/"
"./tool/wsystool" unpack "./Audio_Modding/include/1.wsy" "./Audio_Modding/WS1" -awpath "./Banks/"
"./tool/wsystool" unpack "./Audio_Modding/include/2.wsy" "./Audio_Modding/WS2" -awpath "./Banks/"
"./tool/wsystool" unpack "./Audio_Modding/include/3.wsy" "./Audio_Modding/WS3" -awpath "./Banks/"

echo Unpacking IBNK

"./tool/ibnktool" unpack 0 "./Audio_Modding/include/0.bnk" "./Audio_Modding/IBNK0"
"./tool/ibnktool" unpack 0 "./Audio_Modding/include/1.bnk" "./Audio_Modding/IBNK1"
"./tool/ibnktool" unpack 0 "./Audio_Modding/include/2.bnk" "./Audio_Modding/IBNK2"
"./tool/ibnktool" unpack 0 "./Audio_Modding/include/3.bnk" "./Audio_Modding/IBNK3"
"./tool/ibnktool" unpack 0 "./Audio_Modding/include/4.bnk" "./Audio_Modding/IBNK4"
"./tool/ibnktool" unpack 0 "./Audio_Modding/include/5.bnk" "./Audio_Modding/IBNK5"

echo Unpacking BST 
"./tool/bast" unpack "./Audio_Modding/include/0.bst" "./Audio_Modding/SoundTable"

echo Unpacking sequence BARC. 
"./tool/barctool" unpack "./Audio_Modding/include/1.arc" "./Audio_Modding/Sequences" -arc "./Seqs/"


echo Done.


